如何安裝Intel顯示卡最新驅動? [論壇 - Ubuntu安裝問題]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊

(1) 2 3 4 ... 6 »


如何安裝Intel顯示卡最新驅動?
會員三級
註冊日期:
2008/4/29 0:29
所屬群組:
已註冊使用者
等級: 10
HP : 0 / 241
MP : 45 / 4223
EXP: 66
離線
Intel的開源驅動不時更新的。最新的為2.5.1。Ubuntu 8.04用的是2.2.1, Ubuntu 8.10用的是2.4.1。

對於編譯Intel顯示卡最新的驅動,好像很多人都不知道如何是好。所以,我在這裡留一個簡單教程: for 8.04

下載最新libdrm 2.4.9 (打了patch,不需要在xorg設置DRI了)
http://myubuntu.ca/download/libdrm-2.4.9.tar.bz2

最新Intel Video Driver 2.5.1 (打了patch的)
http://myubuntu.dreamhosters.com/download/xf86-video-intel-2.5.1.tar.bz2

編譯準備:
sudo apt-get install build-essential xorg-dev mesa-common-dev


編譯:
tar xvjf libdrm-2.4.9.tar.bz2
cd libdrm-2.4.9
./configure --prefix=/usr
make
sudo make install

cd ..

tar xvjf xf86-video-intel-2.5.1.tar.bz2
cd xf86-video-intel-2.5.1
./configure --prefix=/usr
make
sudo make install


驅動還原:
sudo apt-get install libdrm2 --reinstall
sudo apt-get install xserver-xorg-video-intel --reinstall

P.S.
xorg.conf的section "Device"裡,最好有一項Driver "intel",但不一定需要的。(如果3d用不了,就把Driver "intel"加到那個section)
如果glxgears提示DRI問題,就在xorg.conf的最後,加入:
Section "DRI"
Mode 0666
EndSection

為了防止Ubuntu更新時,更換了驅動。
請在synaptic鎖定xserver-xorg-video-intel和libdrm2的版本!

2008/11/9 6:27
最後修改: ellon 於 2009/4/16 11:49:05
應用擴展 工具箱
回覆: 如何安裝Intel顯示卡最新驅動?
會員五級
註冊日期:
2007/8/9 23:18
所屬群組:
已註冊使用者
等級: 23
HP : 0 / 555
MP : 216 / 10877
EXP: 22
離線
這樣更新時編譯libdrm的時候不會編不出來嗎?...
以前8.04我編的話會缺dri2proto...

下面這裡有...
http://dri.freedesktop.org/wiki/Building

另外以前裝intel driver 2.4.1時的效果實在是不好...
XV在compiz下跑的比X11還慢...
目前的8.10就不會有這現象了...
---
在compiz下...如果在更新後fx捲動頁面的速度很慢的話...
要去設定xorg.conf的EXA選項...
不過2.5.0以後好像有修正EXA的問題了...
所以應該不會再遇到了才是...

2008/11/9 9:14
應用擴展 工具箱
回覆: 如何安裝Intel顯示卡最新驅動?
會員三級
註冊日期:
2008/4/29 0:29
所屬群組:
已註冊使用者
等級: 10
HP : 0 / 241
MP : 45 / 4223
EXP: 66
離線
我是在ubuntu 8.04測試過的,編譯沒問題。做好這一句就okay: sudo apt-get install build-essential xorg-dev libdrm-dev mesa-common-dev

你說自己編譯的Driver會在xv變慢,是沒有打patch的原因。對於xserver 1.5以下,一定要先打patch。(8.10是xserver 1.5,所以用原版driver更好)
我提供下載的Intel Video Driver 2.5.1打了兩個patch,所以不會變慢。(對8.10,這些patch是不必要的):
05_intel_exa_force_greedy.patch
11_textured_video_option.patch

Ubuntu 8.10用的Driver是2.4.1,還是打上不少patch了。
8.10的intel video driver:
http://archive.ubuntu.com/ubuntu/pool/main/x/xserver-xorg-video-intel/xserver-xorg-video-intel_2.4.1.orig.tar.gz
8.10的driver patch:
http://archive.ubuntu.com/ubuntu/pool/main/x/xserver-xorg-video-intel/xserver-xorg-video-intel_2.4.1-1ubuntu10.diff.gz
沒有打patch的Intel Video Driver 2.5.1:
http://xorg.freedesktop.org/archive/individual/driver/xf86-video-intel-2.5.1.tar.gz

2008/11/9 12:00
最後修改: ellon 於 2008/11/16 0:55:15
應用擴展 工具箱
sss
回覆: 如何安裝Intel顯示卡最新驅動?
Anon:sss
照著裝好了
顯示品質比以前好很多很多

感謝!!!!!!

2008/11/10 12:00 | ee583 373d2 f6ddc 2da4e
應用擴展 工具箱
回覆: 如何安裝Intel顯示卡最新驅動?
會員一級
註冊日期:
2008/5/30 13:39
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 0
MP : 0 / 0
EXP: 0
離線
按著說明作,REBOOT之後出現要我reconfigure顯示晶片low Graphic mode,
只好反安裝,但反安裝之後,去外觀設定的地方原本不行用特效的變可以了,而且速度滿快的.
感謝分享

2008/11/10 16:33
應用擴展 工具箱
回覆: 如何安裝Intel顯示卡最新驅動?
會員三級
註冊日期:
2008/4/29 0:29
所屬群組:
已註冊使用者
等級: 10
HP : 0 / 241
MP : 45 / 4223
EXP: 66
離線
更新到2.5.1,
Sorry,之前那個2.5.0的下載連結有問題。

2008/11/16 0:51
應用擴展 工具箱
回覆: 如何安裝Intel顯示卡最新驅動?
會員一級
註冊日期:
2008/6/28 8:31
所屬群組:
已註冊使用者
等級: 3
HP : 0 / 68
MP : 8 / 1159
EXP: 73
離線
你說的驅動還原時什麼意思呢?是如果想要還原到之前沒有安裝intel驅動的狀態還是這也是安裝intel驅動的其中一步。

最怕安裝顯示卡的驅動了,弄不好會連同GUI都出不來,就麻煩了,有沒有在CONSOLE下作業的經驗

2008/11/18 10:01
應用擴展 工具箱
回覆: 如何安裝Intel顯示卡最新驅動?
會員三級
註冊日期:
2008/4/29 0:29
所屬群組:
已註冊使用者
等級: 10
HP : 0 / 241
MP : 45 / 4223
EXP: 66
離線
是還原到之前沒有安裝intel驅動的狀態。
大家不需要有後顧之憂。

2008/11/18 14:47
應用擴展 工具箱
回覆: 如何安裝Intel顯示卡最新驅動?
會員一級
註冊日期:
2008/6/28 8:31
所屬群組:
已註冊使用者
等級: 3
HP : 0 / 68
MP : 8 / 1159
EXP: 73
離線
有一些改善,但是感覺還是不如Windows流暢,確實Linux在這方面比較差

2008/11/18 20:45
應用擴展 工具箱
回覆: 如何安裝Intel顯示卡最新驅動?
會員一級
註冊日期:
2008/11/14 17:28
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 11
MP : 2 / 186
EXP: 47
離線
不管是安裝2.4.1 or 2.5.1在Ubuntu上面,
都會出現error as below:
checking for C compiler default output file name...
configure: error: C compiler cannot create executables
See `config.log' for more details.
======================

bash: ./confifure: 沒有此一檔案或目錄
sa@sa-laptop:~/xf86-video-intel-2.5.1$ ./configure --perfix=/usr
configure: error: unrecognized option: --perfix=/usr
Try `./configure --help' for more information.
sa@sa-laptop:~/xf86-video-intel-2.5.1$ ./configure --prefix=/usr
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking build system type... i686-pc-linux-gnulibc1
checking host system type... i686-pc-linux-gnulibc1
checking for style of include used by make... GNU
checking for gcc... gcc
checking for C compiler default output file name...
configure: error: C compiler cannot create executables
See `config.log' for more details.

2008/11/25 14:36
======================================
雖然我是一個菜鳥,但是我一定要搞懂Linux
學會Ubuntu,不想被當垃圾;努力爬文 甘巴爹
我的MSN:louis.ubuntu@livemail.tw; 一起學習吧!

Laptop Spec:
COMPAL JHL91; Montevina platfrom
Panel: 15.4W
CPU: Intel T9400, 2.53GHz
VGA: Intel Cantiga GM
RAM: 512MB*2, 667MHz
HDD: 120GB
WLAN: Intel Wifi 5100
應用擴展 工具箱

(1) 2 3 4 ... 6 »

 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.